| Flutter Windows Embedder |

Public Member Functions | Protected Member Functions | List of all members
flutter::testing::CursorHandlerTest Class Reference
Inheritance diagram for flutter::testing::CursorHandlerTest:

## Public Member Functions
| CursorHandlerTest ()=default
virtual | ~CursorHandlerTest ()=default

## Protected Member Functions
FlutterWindowsEngine * | engine ()
FlutterWindowsView * | view ()
MockWindowBindingHandler * | window ()
MockWindowsProcTable * | proc_table ()
void | UseHeadlessEngine ()
void | UseEngineWithView ()

## Detailed Description

Definition at line 59 of file cursor_handler_unittests.cc.

## Constructor & Destructor Documentation

## ◆ CursorHandlerTest()

flutter::testing::CursorHandlerTest::CursorHandlerTest | ( |  | ) |
| default

## ◆ ~CursorHandlerTest()

virtual flutter::testing::CursorHandlerTest::~CursorHandlerTest | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ engine()

FlutterWindowsEngine* flutter::testing::CursorHandlerTest::engine | ( |  | ) |
| inline protected

Definition at line 65 of file cursor_handler_unittests.cc.

65 { return engine_.get(); }

## ◆ proc_table()

MockWindowsProcTable* flutter::testing::CursorHandlerTest::proc_table | ( |  | ) |
| inline protected

Definition at line 68 of file cursor_handler_unittests.cc.

68 { return windows_proc_table_.get(); }

## ◆ UseEngineWithView()

void flutter::testing::CursorHandlerTest::UseEngineWithView | ( |  | ) |
| inline protected

Definition at line 76 of file cursor_handler_unittests.cc.

76 {
77 windows_proc_table_ = std::make_shared<MockWindowsProcTable>();
78
79 FlutterWindowsEngineBuilder builder{GetContext()};
80 builder.SetWindowsProcTable(windows_proc_table_);
81
82 auto window = std::make_unique<MockWindowBindingHandler>();
83 EXPECT_CALL(*window.get(), SetView).Times(1);
84 EXPECT_CALL(*window.get(), GetWindowHandle).WillRepeatedly(Return(nullptr));
85
86 window_ = window.get();
87 engine_ = builder.Build();
88 view_ =
89 engine_->CreateView(std::move(window),
90 /*is_sized_to_content=*/false, BoxConstraints());
91 }
flutter::testing::CursorHandlerTest::window
MockWindowBindingHandler * window()
Definition: cursor_handler_unittests.cc:67

References window().

## ◆ UseHeadlessEngine()

void flutter::testing::CursorHandlerTest::UseHeadlessEngine | ( |  | ) |
| inline protected

Definition at line 70 of file cursor_handler_unittests.cc.

70 {
71 FlutterWindowsEngineBuilder builder{GetContext()};
72
73 engine_ = builder.Build();
74 }

## ◆ view()

FlutterWindowsView* flutter::testing::CursorHandlerTest::view | ( |  | ) |
| inline protected

Definition at line 66 of file cursor_handler_unittests.cc.

66 { return view_.get(); }

## ◆ window()

MockWindowBindingHandler* flutter::testing::CursorHandlerTest::window | ( |  | ) |
| inline protected

Definition at line 67 of file cursor_handler_unittests.cc.

67 { return window_; }

Referenced by UseEngineWithView().

The documentation for this class was generated from the following file:

- shell/platform/windows/cursor_handler_unittests.cc